KFileIconView Class Reference

`#include <kfileiconview.h>`

Inheritance diagram for KFileIconView:

## Public Slots

void | showPreviews ()
void | zoomIn ()
void | zoomOut ()
virtual void | arrangeItemsInGrid (bool updated=true)

## Signals

void | dropped (QDropEvent *event, KFileItem *fileItem)
void | dropped (QDropEvent *event, const KURL::List &urls, const KURL &url)

## Public Member Functions

| KFileIconView (QWidget *parent, const char *name)
virtual QWidget * | widget ()
virtual void | clearView ()
virtual void | setAutoUpdate (bool)
virtual void | updateView (bool)
virtual void | updateView (const KFileItem *)
virtual void | removeItem (const KFileItem *)
virtual void | listingCompleted ()
virtual void | insertItem (KFileItem *i)
virtual void | setSelectionMode (KFile::SelectionMode sm)
virtual void | setSelected (const KFileItem *, bool)
virtual bool | isSelected (const KFileItem *i) const
virtual void | clearSelection ()
virtual void | selectAll ()
virtual void | invertSelection ()
virtual void | setCurrentItem (const KFileItem *)
virtual KFileItem * | currentFileItem () const
virtual KFileItem * | firstFileItem () const
virtual KFileItem * | nextItem (const KFileItem *) const
virtual KFileItem * | prevItem (const KFileItem *) const
void | setIconSize (int size)
void | setPreviewSize (int size)
void | setIgnoreMaximumSize (bool ignoreSize=true)
int | iconSize () const
void | ensureItemVisible (const KFileItem *)
virtual void | setSorting (QDir::SortSpec sort)
virtual void | readConfig (KConfig *, const QString &group=QString::null)
virtual void | writeConfig (KConfig *, const QString &group=QString::null)
void | mimeTypeDeterminationFinished ()
void | determineIcon (KFileIconViewItem *item)
QScrollView * | scrollWidget () const
void | setAcceptDrops (bool b)
Public Member Functions inherited from KFileView
virtual | ~KFileView ()
void | addItemList (const KFileItemList &list)
QWidget * | widget () const
void | setCurrentItem (const QString &filename)
virtual void | clear ()
QDir::SortSpec | sorting () const
bool | isReversed () const
void | sortReversed ()
uint | count () const
uint | numFiles () const
uint | numDirs () const
virtual KFile::SelectionMode | selectionMode () const
virtual void | setViewMode (ViewMode vm)
virtual ViewMode | viewMode () const
QString | viewName () const
void | setViewName (const QString &name)
virtual void | setParentView (KFileView *parent)
const KFileItemList * | selectedItems () const
const KFileItemList * | items () const
void | setOnlyDoubleClickSelectsFiles (bool enable)
bool | onlyDoubleClickSelectsFiles () const
bool | updateNumbers (const KFileItem *i)
virtual KActionCollection * | actionCollection () const
KFileViewSignaler * | signaler () const
void | setDropOptions (int options)
int | dropOptions ()

## Protected Member Functions

virtual void | keyPressEvent (QKeyEvent *)
virtual void | hideEvent (QHideEvent *)
virtual void | showEvent (QShowEvent *)
virtual bool | eventFilter (QObject *o, QEvent *e)
virtual QDragObject * | dragObject ()
virtual void | contentsDragEnterEvent (QDragEnterEvent *e)
virtual void | contentsDragMoveEvent (QDragMoveEvent *e)
virtual void | contentsDragLeaveEvent (QDragLeaveEvent *e)
virtual void | contentsDropEvent (QDropEvent *ev)
bool | acceptDrag (QDropEvent *e) const
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KFileView
void | setDropOptions_impl (int options)

## Additional Inherited Members

Public Types inherited from KFileView
enum | ViewMode { Files = 1, Directories = 2, All = Files | Directories }
enum | DropOptions { AutoOpenDirs = 1 }
Static Public Member Functions inherited from KFileView
static QString | sortingKey (const QString &value, bool isDir, int sortSpec)
static QString | sortingKey (KIO::filesize_t value, bool isDir, int sortSpec)
static int | autoOpenDelay ()
Protected Types inherited from KFileView
enum | { VIRTUAL_SET_DROP_OPTIONS = 1 }
Protected Attributes inherited from KFileView
KFileViewSignaler * | sig

## Detailed Description

An icon-view capable of showing KFileItem's.

Used in the filedialog for example. Most of the documentation is in KFileView class.

See also
  KDirOperator
  KCombiView
  KFileDetailView

Definition at line 81 of file kfileiconview.h.

## Member Function Documentation

void KFileIconView::arrangeItemsInGrid | ( | bool | updated = `true` | ) |

virtual slot

Reimplemented for performance reasons.

Since
  3.1

Definition at line 791 of file kfileiconview.cpp.

void KFileIconView::clearSelection | ( |  | ) |

virtual

Clears any selection, unhighlights everything.

Must be implemented by the view.

Implements KFileView.

Definition at line 317 of file kfileiconview.cpp.

void KFileIconView::clearView | ( |  | ) |

virtual

pure virtual function, that should be implemented to clear the view.

At this moment the list is already empty

Implements KFileView.

Definition at line 327 of file kfileiconview.cpp.

KFileItem * KFileIconView::currentFileItem | ( |  | ) | const

virtual

Returns
  the "current" KFileItem, e.g. where the cursor is. Returns 0L when there is no current item (e.g. in an empty view). Subclasses have to implement this.

Implements KFileView.

Definition at line 381 of file kfileiconview.cpp.

void KFileIconView::dropped | ( | QDropEvent * | event,
|  | KFileItem * | fileItem
| ) |  |

signal

The user dropped something.

`fileItem` points to the item dropped on or can be 0 if the user dropped on empty space.

Since
  3.2

void KFileIconView::dropped | ( | QDropEvent * | event,
|  | const KURL::List & | urls,
|  | const KURL & | url
| ) |  |

signal

The user dropped the URLs `urls`.

`url` points to the item dropped on or can be empty if the user dropped on empty space.

Since
  3.2

void KFileIconView::ensureItemVisible | ( | const KFileItem * | i | ) |

virtual

pure virtual function, that should be implemented to make item i visible, i.e.

by scrolling the view appropriately.

Implements KFileView.

Definition at line 508 of file kfileiconview.cpp.

void KFileIconView::hideEvent | ( | QHideEvent * | e | ) |

protected virtual

Reimplemented to remove an eventual tooltip.

Definition at line 285 of file kfileiconview.cpp.

int KFileIconView::iconSize | ( |  | ) | const

inline

Returns
  the current size used for icons.

Definition at line 136 of file kfileiconview.h.

void KFileIconView::insertItem | ( | KFileItem * | i | ) |

virtual

The derived view must implement this function to add the file in the widget.

Make sure to call this implementation, i.e. KFileView::insertItem( i );

Reimplemented from KFileView.

Definition at line 335 of file kfileiconview.cpp.

void KFileIconView::invertSelection | ( |  | ) |

virtual

Inverts the current selection, i.e.

selects all items, that were up to now not selected and deselects the other.

Reimplemented from KFileView.

Definition at line 322 of file kfileiconview.cpp.

bool KFileIconView::isSelected | ( | const KFileItem * |  | ) | const

virtual

Returns
  whether the given item is currently selected. Must be implemented by the view.

Implements KFileView.

Definition at line 429 of file kfileiconview.cpp.

void KFileIconView::keyPressEvent | ( | QKeyEvent * | e | ) |

protected virtual

Reimplemented to not let QIconView eat return-key events.

Definition at line 291 of file kfileiconview.cpp.

void KFileIconView::listingCompleted | ( |  | ) |

virtual

This hook is called when all items of the currently listed directory are listed and inserted into the view, i.e.

there won't come any new items anymore.

Reimplemented from KFileView.

Definition at line 717 of file kfileiconview.cpp.

void KFileIconView::removeItem | ( | const KFileItem * | item | ) |

virtual

Removes an item from the list; has to be implemented by the view.

Call KFileView::removeItem( item ) after removing it.

Reimplemented from KFileView.

Definition at line 466 of file kfileiconview.cpp.

void KFileIconView::selectAll | ( |  | ) |

virtual

Selects all items.

You may want to override this, if you can implement it more efficiently than calling setSelected() with every item. This works only in Multiselection mode of course.

Reimplemented from KFileView.

Definition at line 308 of file kfileiconview.cpp.

void KFileIconView::setCurrentItem | ( | const KFileItem * | item | ) |

virtual

Reimplement this to set `item` the current item in the view, e.g.

the item having focus.

Implements KFileView.

Definition at line 374 of file kfileiconview.cpp.

void KFileIconView::setIconSize | ( | int | size | ) |

Sets the size of the icons to show.

Defaults to KIcon::SizeSmall.

Definition at line 481 of file kfileiconview.cpp.

void KFileIconView::setIgnoreMaximumSize | ( | bool | ignoreSize = `true` | ) |

Disables the "Maximum file size" configuration option for previews.

Set this before calling showPreviews()

Since
  3.4

Definition at line 497 of file kfileiconview.cpp.

void KFileIconView::setPreviewSize | ( | int | size | ) |

Sets the size of the previews.

Defaults to KIcon::SizeLarge.

Definition at line 487 of file kfileiconview.cpp.

void KFileIconView::setSelected | ( | const KFileItem * | ,
|  | bool | enable
| ) |  |

virtual

Tells the view that it should highlight the item.

This function must be implemented by the view.

Implements KFileView.

Definition at line 301 of file kfileiconview.cpp.

void KFileIconView::setSorting | ( | QDir::SortSpec | sort | ) |

virtual

Sets the sorting order of the view.

Default is QDir::Name | QDir::IgnoreCase | QDir::DirsFirst Override this in your subclass and sort accordingly (usually by setting the sorting-key for every item and telling QIconView or QListView to sort.

A view may choose to use a different sorting than QDir::Name, Time or Size. E.g. to sort by mimetype or any possible string. Set the sorting to QDir::Unsorted for that and do the rest internally.

See also
  sortingKey

Reimplemented from KFileView.

Definition at line 675 of file kfileiconview.cpp.

void KFileIconView::showPreviews | ( |  | ) |

slot

Starts loading previews for all files shown and shows them.

Switches into 'large rows' mode, if that isn't the current mode yet.

See also
  setIgnoreMaximumSize

Definition at line 577 of file kfileiconview.cpp.

void KFileIconView::updateView | ( | bool | f | ) |

virtual

does a repaint of the view.

The default implementation calls

widget()->repaint(f)

Reimplemented from KFileView.

Definition at line 435 of file kfileiconview.cpp.

virtual QWidget* KFileIconView::widget | ( |  | ) |

inline virtual

a pure virtual function to get a QWidget, that can be added to other widgets.

This function is needed to make it possible for derived classes to derive from other widgets.

Implements KFileView.

Definition at line 89 of file kfileiconview.h.

The documentation for this class was generated from the following files:

- kfileiconview.h
- kfileiconview.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys